package structures;

import java.util.ArrayList;
import patterns.Composite;

public abstract class CompositeExpression 
	extends Composite<Expression> 
	implements Expression 
{ 
	
	public CompositeExpression(Expression left, Expression right) {
		this.children = new ArrayList<>();
		children.add(left);
		children.add(right);
	}
	
	public Expression getLeft() {
		return children.get(0);
	}
	
	public Expression getRight() {
		return children.get(1);
	}
}
