package structures;

import operations.Visitor;

public class Constant implements Expression {
	
	private int value;
	
	public Constant(int value) {
		this.value = value;
	}
	
	public int value() {
		return this.value;
	}
	
	public void accept(Visitor v) {
		v.visitConstant(this);
	}
}
